%define gccver	3.4.4

Summary: 	LSB Build environment interim lsbc++ package
Name: 		lsb-build-c++
Version: 	3.1.1
Release: 	%mkrel 3
License: 	LGPL
Group: 		Development/C
Source: 	ftp://ftp.freestandards.org/pub/lsb/lsbdev/released-3.1.0/lsb-build-c++-%{version}.tar.bz2
Source1: 	gcc-%gccver.tar.bz2
Patch0:		gcc-configure.patch
Patch1:		gcc-locale.patch
Patch2:		lsb-build-c++-3.1.1-gcc4.patch
URL:            http://www.linuxbase.org/build
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Requires: 	lsb-build-base = %{version}
Obsoletes: 	lsbdev-c++
BuildRequires: 	lsb-build-base = %{version} lsb-build-cc = %{version} glibc_lsb >= 2.3.4
Provides:	lsbdev-c++

%description
This package provides interim C++ building support for the
lsb-build packages.  It adds C++ headers and LSB-conforming
builds of the static C++ libraries to the files installed
by lsb-build-base. 

%package -n %{name}-devel
Summary:        LSB Build environment interim lsbc++ package
Group:          Development/C

%description -n %{name}-devel
This package provides interim C++ building support for the
lsbdev packages.  It adds C++ headers and LSB-conforming
builds of the static C++ libraries to the files installed
by lsbdev-base. 

%prep
%setup -q
tar xjf %{SOURCE1}
%patch0 -p0 -b .gcc-config
%patch1 -p0 -b .gcc-locale
%patch2 -p1 -b .gcc4

%build
(cd gcc-%gccver/libstdc++-v3 ; \
        CC=%{_prefix}/bin/lsbcc CXX=%{_prefix}/bin/lsbc++ ./configure \
        --prefix=%{_prefix} --libdir=%{_libdir} --enable-threads=posix \
        --with-gxx-include-dir=%{_includedir}/lsb-build-base/c++ \
        --enable-clocale=gnu --enable-symvers=gnu)

%install
rm -rf $RPM_BUILD_ROOT
(cd gcc-%gccver/libstdc++-v3/libsupc++; make install DESTDIR=$RPM_BUILD_ROOT)
(cd gcc-%gccver/libstdc++-v3/include; make install DESTDIR=$RPM_BUILD_ROOT)

# (sb) we don't want the libs, just the headers
rm -fr $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

# (sb) base package has no files
%files -n %{name}-devel
%defattr(-,root,root)
%doc README Licence
%{_includedir}/lsb-build-base/c++



%changelog
* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.1.1-3mdv2009.0
+ Revision: 251466
- rebuild

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 3.1.1-1mdv2008.1
+ Revision: 140933
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Jun 13 2006 Stew Benedict <sbenedict@mandriva.com> 3.1.1-1mdv2007.0
- 3.1.1

* Wed Jun 08 2005 Stew Benedict <sbenedict@mandriva.com> 3.0.0-1mdk
- 3.0.0, use gcc-3.4.4 snapshot (single reduced tarball now)

* Thu Aug 26 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.4-1mdk
- gcc3.3.4, don't package libsupc++

* Mon Jul 26 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.3-1mdk
- First Mandrakelinux packaging. split off into -devel (rpmlint), 
- move from /opt, add URL, fix tags

